package sgc.portal.cs.cs0104.persistence;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cs.cs0104.dto.CS01040001USearch;
import sgc.portal.cs.cs0104.model.CS01040001U;


import java.util.List;
import java.util.Map;

@Mapper
public interface CS01040001UMapper {
	
	//사용자별현장권한 조회
	List<EasyHashMap<String, Object>> selectSmComUserList(CS01040001USearch search);
	List<EasyHashMap<String, Object>> selectTcsAuthUsersiteList(CS01040001USearch search);
	
	void updateTcsAuthUsersite(CS01040001U cS01040001U);
	void insertTcsAuthUsersite(CS01040001U cS01040001U);
	
	int selectTcsAuthUsersiteCount(CS01040001U cS01040001U);
}
